Package org.acplt.oncrpc.apps.jrpcgen

## Class JrpcgenUnionArm

- java.lang.Object
- - org.acplt.oncrpc.apps.jrpcgen.JrpcgenUnionArm

-     public class JrpcgenUnionArm
      extends java.lang.Object

  The `JrpcgenUnionArm` class represents a single union arm defined for a particular union in an rpcgen "x"-file.
  Version:
    $Revision: 1.2 $ $Date: 2003/08/14 08:09:59 $ $State: Exp $ $Locker: $
  Author:
    Harald Albrecht

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `JrpcgenDeclaration` | `element` | Attribute element of descriminated arm (of class `JrpcgenDeclaration`).
    `java.lang.String` | `value` | Value for which the descriminated union arm is valid.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JrpcgenUnionArm​(java.lang.String value, JrpcgenDeclaration element)` | Constructs a `JrpcgenUnionArm` and sets decrimated arm's value and the associated attribute element.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dump()` | Dumps the union arm to `System.out`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          public java.lang.String value

      Value for which the descriminated union arm is valid.

    - #### element

          public JrpcgenDeclaration element

      Attribute element of descriminated arm (of class `JrpcgenDeclaration`).

  - ### Constructor Detail

    - #### JrpcgenUnionArm

          public JrpcgenUnionArm​(java.lang.String value,
                                 JrpcgenDeclaration element)

      Constructs a `JrpcgenUnionArm` and sets decrimated arm's value and the associated attribute element.
      Parameters:
        `value` - Value for which descriminated arm is valid.
        `element` - Descriminated arm element of class `JrpcgenDeclaration`.

  - ### Method Detail

    - #### dump

          public void dump()

      Dumps the union arm to `System.out`.